FGETGRENT(3)

NAME
fgetgrent - get group file entry

SYNOPSIS
#include <grp.h>
#include <stdio.h>
#include <sys/types.h>

struct group *fgetgrent(FILE *stream);

DESCRIPTION
The fgetgrent() function returns a pointer to a structure containing the group information from the file stream. The first time it is called it returns the first entry; thereafter, it returns successive entries. The file stream must have the same format as /etc/group.

The group structure is defined in <grp.h> as follows:

    struct group {
            char    *gr_name;        /* group name */
            char    *gr_passwd;      /* group password */
            gid_t   gr_gid;          /* group id */
            char    **gr_mem;        /* group members */
    };

RETURN VALUE
The fgetgrent() function returns the group information structure, or NULL if there are no more entries or an error occurs.

ERRORS

ENOMEM
    Insufficient memory to allocate group information structure.

CONFORMING TO
SVID 3

SEE ALSO
getgrnam(3), getgrgid(3), getgrent(3), setgrent(3), endgrent(3)